# $Revision: 1.9 $, $Date: 2003/12/21 21:27:35 $
Summary:	Library for flexible logging
Summary(pl):	Biblioteka do elastycznego logowania
Name:		log4cpp
Version:	0.3.4b
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	8051f012fcc58173e8015710d449457a
Patch0:		%{name}-am18.patch
Patch1:		%{name}-nolibs.patch
URL:		http://log4cpp.sf.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4cpp is library of C++ classes for flexible logging to files,
syslog, IDSA and other destinations. It is modeled after the Log4j
Java library, staying as close to their API as is reasonable.

%description -l pl
Log4cpp to biblioteka klas C++ do elastycznego logowania do plikw,
sysloga, IDSA i innych miejsc. Jest tworzona na podstawie biblioteki
Javy Log4j i pozostaje jak najbliej jej API w granicach rozsdku.

%package devel
Summary:	Header files for log4cpp
Summary(pl):	Pliki nagwkowe log4cpp
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libstdc++-devel

%description devel
This package contains the development and header files for log4cpp.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki log4cpp.

%package static
Summary:	Static log4cpp library
Summary(pl):	Statyczna biblioteka log4cpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains static log4cpp library.

%description static -l pl
Ten pakiet zawiera statyczn bibliotek log4cpp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# extract BB_CHECK_OMNITHREADS and BB_CHECK_PTHREADS missing from m4
tail -n +4487 aclocal.m4 | head -n 96 > m4/BB_CHECK_THREADS.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-doxygen
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install  \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT/removeit \
	mandir=$RPM_BUILD_ROOT%{_mandir}

rm -rf $RPM_BUILD_ROOT/removeit

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.css doc/html/*.png doc/html/*.html doc/html/api
%attr(755,root,root) %{_bindir}/log4cpp-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: log4cpp.spec,v $
Revision 1.9  2003/12/21 21:27:35  qboosh
- -devel R: libstdc++-devel

Revision 1.8  2003/12/21 20:44:21  qboosh
- added am18 patch (log4cpp.m4 quotation fix) and nolibs patch (kill -lnsl)
- fixed ac/am rebuilding
- release 2

Revision 1.7  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.6  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/07/29 09:16:17  pascalek
- updated to 0.3.4b

Revision 1.4  2003/07/14 08:56:12  qboosh
- man3 pages and html API docs moved to -devel

Revision 1.3  2003/07/13 22:23:50  qboosh
- pl
- removed autogenerated symlink, BR: libstdc++-devel (guess)

Revision 1.2  2003/07/13 13:31:47  erjot
- remove doc subpackage, fix html docs.

Revision 1.1  2003/07/13 12:15:34  deejay1
- initial release, needs some work on docs :/
